For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin the Discord
ManualAPI GuideAPI Reference
  • Overview
    • API Reference
    • Client libraries
  • API Reference
      • GETList Skills
      • POSTCreate Skill
      • GETGet Skill
      • DELDelete Skill
      • GETList Skill Versions
      • POSTCreate Skill Version
      • GETGet Skill Version
      • DELDelete Skill Version
LogoLogo
Contact usJoin the Discord
API ReferenceSkills

Delete Skill

DELETE
https://host.com/v1/skills/:skill_id
DELETE
/v1/skills/:skill_id
$curl -X DELETE "https://host.com/v1/skills/skill_id?collection=collection"
1{
2 "id": "skill_01HZX8N83J4WQ2E4K4G3Q2H9E8",
3 "type": "skill_deleted"
4}

Delete a non-readonly skill from a collection.

Was this page helpful?
Previous

List Skill Versions

Next
Built with

Path parameters

skill_idstringRequired

Headers

anthropic-betalist of stringsOptional

Query parameters

collectionstringRequired

Response

This endpoint returns an object.
idstring
Deleted skill identifier.
type"skill_deleted"
Deleted object type.

Errors

401
Unauthorized
422
Unprocessable Entity